Subject: anybody use c++ classes of ncurses?
From: [email-masked] ("Bernd Prager")

5 Jun 1997 15:51:07 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Original-To: [email-masked]
In-reply-to: <[email-masked]>
X-mailer: Pegasus Mail for Win32 (v2.53/R1)
Original-Sender: [email-masked]

I would like to use the c++ classes in ncurses.
Unfortunatly there is no Makefile or description
of the demo and I was unable to find the right libraries
or options:

------ snip --------------
# g++ demo.cc -I. -I../include -lncurses
../etip.h: In function `void THROW(const class NCursesException *)': In
file included from ./cursesw.h:29,
                 from ./cursesp.h:5,
                 from cursesm.h:27,
                 from demo.cc:11:
../etip.h:140: `lib_error_handler' undeclared (first use this function)
../etip.h:140: (Each undeclared identifier is reported only once
../etip.h:140: for each function it appears in.) ../include/curses.h: At
top level: In file included from ./cursesw.h:32,
                 from ./cursesp.h:5,
                 from cursesm.h:27,
                 from demo.cc:11:
.../include/curses.h:78: warning: abstract declarator used as declaration
demo.cc: In method `void SillyDemo::run(int)': demo.cc:65: warning:
implicit declaration of function `int sleep(...)' 
#
------ snip --------------

Could anybody help me?
Thanx,
Bernd

P.S.: Sorry, if that is not a real win32 question!
_____________________________________________________________________
Bernd Prager
GECKO mbH; Wismarsche Str.3, 18057 Rostock; Germany					
http://www.gecko.de

PGP Key fingerprint = 83 54 6A 3B 7A 9D 6C 0E F3 41 CE 99 11 30 B7 D6
public key by mailto:[email-masked]?Subject=SendPGPKey
_____________________________________________________________________
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".